
from pychrysalide import PluginModule
from pychrysalide.gui import core

from .panel import CGlimpsePanel


class ContentGlimpse(PluginModule):
    """Convert raw values into interpreted values."""

    _name = 'ContentGlimpse'
    _desc = 'Display some glimpses of binary contents'
    _version = '0.1'
    _url = 'https://www.chrysalide.re/'

    _actions = ( )


    def __init__(self):
        """Initialize the plugin for Chrysalide."""

        super(ContentGlimpse, self).__init__()

        core.register_panel(CGlimpsePanel)
