
%top {

#include "grammar.h"

}


%option noyywrap
%option nounput
%option noinput
%option yylineno
%option noyy_top_state


%%


[ \t\n]                 { }

[a-z_][a-z0-9_]*        { yylvalp->string = strdup(yytext); return NAME; }
"="                     { return EQ; }

.                       {
                            char *msg;
                            asprintf(&msg, "Unhandled token in d2c hooks block: '%s'", yytext);
                            YY_FATAL_ERROR(msg);
                            free(msg);
                        }


%%
